Uploaded image for project: 'JBoss Transaction Manager'
  1. JBoss Transaction Manager
  2. JBTM-3122

jbosstm/quickstarts tests can't be run with jdk9+

    XMLWordPrintable

Details

    • Hide

      The arquillian.xml usually uses property jvm.args.other that could be used for the purpose to add module java.se.

      mvn test -Parq -Djvm.args.other='--add-modules=java.se'
      
      Show
      The arquillian.xml usually uses property jvm.args.other that could be used for the purpose to add module java.se . mvn test -Parq -Djvm.args.other= '--add-modules=java.se'

    Description

      Quickstarts do not run tests with JDK9+. We use the Arquillian that starts the WildFly and for the JDK9+ it requires JVM options to add module permissions (and more).

      The quickstarts need to start using a profile, similar how WFLY uses it, that defines jvm args that will be passed to the arquillian.xml.
      See https://github.com/wildfly/wildfly/blob/16.0.0.Final/pom.xml#L7188

      --add-exports=java.base/sun.nio.ch=ALL-UNNAMED
      --add-exports=jdk.unsupported/sun.reflect=ALL-UNNAMED
      --add-exports=jdk.unsupported/sun.misc=ALL-UNNAMED
      --add-modules=java.se
      

      The trouble in quickstarts is that we have no parent for the quickstarts so we need to add such profile to all the `pom.xml` files all over the quickstarts.

      Maybe we should provide a parent with such settings. We can unify not only this but e.g. ee version used or arquillian version.

      Attachments

        Issue Links

          Activity

            People

              mkunwar1 Mayank Kunwar (Inactive)
              ochaloup@redhat.com Ondrej Chaloupka (Inactive)
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: